Notifications
Clear all

C3D auto linework simplification

10 Posts
7 Users
0 Reactions
2 Views
(@rob-omalley-2-2-2-2-2)
Posts: 381
Registered
Topic starter
 

Can I get C3D to run automatic linework without using the Survey Database?

I'm a little old school and want a more hands on style.

 
Posted : October 1, 2014 12:39 pm
(@david-livingstone)
Posts: 1123
Registered
 

Not that I know of. I'm not sure what you mean by hands on. There is plenty of things you can do with it, you just might end up banging your head against the wall trying to figure it out.

 
Posted : October 1, 2014 1:06 pm
(@norman-oklahoma)
Posts: 7610
Registered
 

> Can I get C3D to run automatic linework without using the Survey Database?
No, not completely. But you can make your visit to the Survey database brief.

1. Import your points to the drawing (and not the survey database).
2. Open a survey database. Since this is only a perfunctory use of the SB it can be any local temporary directory.
3. Import points to the Survey database - and produce linework - by importing points from the drawing.
4. If you need to edit descriptors to fix linework errors you will need to edit the points in the drawing, delete the import event in the Survey tab (which clears the points you just imported from the SD, and reimport the points from the drawing. Repeat as necessary.

 
Posted : October 1, 2014 1:09 pm
(@rob-omalley-2-2-2-2-2)
Posts: 381
Registered
Topic starter
 

Mark, If I'm understanding you correctly....

You're essentially saying to import the points temporarily (through the database) just to get the line work in and then you're deleting the temporary database (thus removing the points and any associated data), leaving only the linework?

Will this affect polyline elevations for surface breaklines?

 
Posted : October 1, 2014 2:38 pm
(@norman-oklahoma)
Posts: 7610
Registered
 

> You're essentially saying to import the points temporarily (through the database) just to get the line work in and then you're deleting the temporary database (thus removing the points and any associated data), leaving only the linework?
Since the points are already in the drawing before you go to the Survey Database they remain there after you detach from it. So you come away with both points and linework in the drawing, separate from the Survey Database.

 
Posted : October 1, 2014 3:11 pm
(@ctbailey)
Posts: 215
Registered
 

But they're still "survey" points, and will need to be un-upgraded back to "civil" points.

There's a bug that you can exploit here:

Select the "survey points" in the drawing.

ERASE
UNDO

Poof - back to civil points.

 
Posted : October 2, 2014 5:23 pm
(@jacks)
Posts: 8
Registered
 

Rob,

First I know this may be a little late of a reply to your post but I didn't see it until today.

I'd like to start off by saying I'm a self taught C3D user and I did not see the survey database as a user friendly route to process my data. Prior to C3D 2010 the only “Autodesk way” to obtain field to finish line work was to import survey field books (.FBK). Since 2010 line work could be obtained using “Linework Code Sets” (let me know if you need more information about this). The following is how I bring my data in:

1. Set your working folder for your survey database
2. Create a new survey database
a. Make sure that your drawing units and survey database units are the same or bad things could happen
3. Specify your data source (point file)
4. I don’t use networks and in 2014 you no longer need to make a junk one like you did in 2012 & 2010
5. Import Options
a. set your figure prefix database (let me know if you need more information about this)
b. toggle Process linework during import to yes
c. set your linework code set
d. toggle only the insert figure objects to yes (leave survey points off)
6. At this point I run a lisp routine that converts all of my survey figures to 2d polylines
7. Import that same point file as cogo points
8. Edit any missing or bad line work with standard autocad commands.
9. Build surface

What you end up with is points and lines that you can then manually edit easy. All of my points are flattened to zero elevation since that is my preference and so is my line work. When creating a surface I just use the 2d polylines that are my typical break lines as proximity faults.

 
Posted : October 17, 2014 3:17 pm
(@robert-ellis)
Posts: 466
Registered
 

Jack,

Your final product is exactly what I use but to get there I have to first use Carlson FTF and then switch over to C3D. I have a couple of new Leica GS14 on the way and my Carlson Surveyor Plus will not run them so I will have to use the Leica DC. This make the carlson FTF a little clumsy so I was hoping you could give some more info on the lisp routine you use to convert the survey objects to 0 elevation and 2d polylines. Thanks

 
Posted : October 17, 2014 3:52 pm
(@jacks)
Posts: 8
Registered
 

Robert,

Here is my lisp.

(defun C:XCF ()
(setvar "CMDECHO" 0)
(setvar "qaflags" 1)
(if (setq C3DOBJ (ssget "X" '((0 . "AECC_SVFIGURE*"))))
(command "explode" C3DOBJ "" "AeccConvert3dPolys" "P" "")
)
(if (setq C3DOBJ (ssget "X" '((0 . "AECC_FEATURE_LINE*"))))
(command "explode" C3DOBJ "" "AeccConvert3dPolys" "P" "")
)
(if (setq C3DOBJ (ssget "X" '((0 . "POLYLINE*"))))
(command "AeccConvert3dPolys" C3DOBJ "")
)
(if (setq C3DOBJ (ssget "X" '((0 . "LWPOLYLINE*"))))
(command "CHANGE" C3DOBJ "" "P" "ELEV" "0" "" "PEDIT" "M" "P" "" "L" "ON" "")
)
(setvar "qaflags" 0)
(setvar "CMDECHO" 1)
)

 
Posted : October 20, 2014 8:35 am
(@kirk-mohs)
Posts: 2
Registered
 

If you have SincPac installed, the following is a command string for your toolpalette that will grab all survey figures, run SincPacs extract2d command and freeze the layer that all survey figures have been moved to.

(ssget "_x" '((0 . "AECC_SVFIGURE*")));_select;p;;extract2d;-la;f;vf-surv;;regen;

 
Posted : December 6, 2016 11:59 am